Description

Subtasks:

Task # 2402: Create port scan library Closed

Task # 2403: Create library for splitting port ranges Closed

Task # 2404: Create search command Closed

Task # 2405: Create mod input Closed

Task # 2406: Create view Closed

  Task # 2408: Load previous data in execute page Closed

  Task # 2409: Load previous results on port scan list page Closed

  Task # 2410: Colorize the port scan results Closed

  Task # 2411: Create single value modules on port scan result page Closed

Associated revisions

Revision 321 - 06/05/2019 04:01 AM - lukemurphey

Adding ability to set the timeout to use when port scanning

Reference #1690

History

#1 - 01/18/2017 01:47 AM - Luke Murphey

Some possible approaches to use:

http://www.pythonforbeginners.com/code-snippets-source-code/port-scanner-in-python

https://digitz.org/blog/create-your-own-simple-port-scanner-using-python/

http://www.coderholic.com/python-port-scanner/

http://code.activestate.com/recipes/286240-python-portscanners/

http://www.primalsecurity.net/0x1-python-tutorial-port-scanner/

http://www.offensivepython.com/2013/10/port-scanning-with-python.html

https://sourceforge.net/projects/port-scanner-python/

#2 - 03/14/2017 05:27 AM - Luke Murphey

I really like this one:

https://null-byte.wonderhowto.com/how-to/sploit-make-python-port-scanner-0161074/
#3 - 03/14/2017 05:35 AM - Luke Murphey

https://pythonprogramming.net/python-threaded-port-scanner/?completed=/python-port-scanner-sockets/

#4 - 08/13/2017 05:37 AM - Luke Murphey

- Target version set to 1.2

#5 - 11/07/2017 06:41 PM - Luke Murphey

- Target version changed from 1.2 to 1.3

#6 - 11/09/2017 06:01 AM - Luke Murphey

Contacts:

Rob (via LinkedIn) asked to have something that could detect when a port goes up or down.

See also https://github.com/LukeMurphey/splunk-website-monitoring/issues/17

#7 - 05/09/2019 05:49 PM - Luke Murphey

- Target version changed from 1.3 to 1.4

#8 - 05/22/2019 06:15 PM - Luke Murphey

Multithreaded: http://code.activestate.com/recipes/286240-python-portscanners/

Gets banner: http://www.primalsecurity.net/0x1-python-tutorial-port-scanner/

Another multi-threaded: https://sourceforge.net/p/port-scanner-python/code/ci/master/tree/port_scanner.py

UDP port scan example: https://stackoverflow.com/questions/42867192/python-check-udp-port-open/49518366

#9 - 06/19/2019 06:46 PM - Luke Murphey

- Status changed from New to Closed
